Bug 1449389 - It is impossible to identify the source process/appliance for each connection in pg_stat_activity
Summary: It is impossible to identify the source process/appliance for each connection...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.3
Assignee: Joe Rafaniello
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On: 1445928
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-09 21:09 UTC by Satoe Imaishi
Modified: 2017-06-28 15:02 UTC (History)
6 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1445928
Environment:
Last Closed: 2017-06-28 15:02:38 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 Tasos Papaioannou 2017-06-09 15:11:11 UTC
Verified on 5.7.3.1. With two servers running, pg_stat_activity shows the server pid, server, worker, and zone:

vmdb_production=# select pid, application_name from pg_stat_activity;
 pid  |               application_name                
------+-----------------------------------------------
 4885 | MIQ 12142 Server[34], default[2]
 5007 | MIQ 4886 Server[2], default[2]
 4902 | MIQ 13671 Generic[46], s[34], default[2]
 4901 | MIQ 13663 Generic[45], s[34], default[2]
 4903 | MIQ 13679 Priority[47], s[34], default[2]
 4904 | MIQ 13687 Priority[48], s[34], default[2]
 4905 | MIQ 13695 Schedule[49], s[34], default[2]
 5013 | MIQ 13717 EventHandler[50], s[34], default[2]
 5014 | MIQ 13725 Reporting[51], s[34], default[2]
 5015 | MIQ 13733 Reporting[52], s[34], default[2]
 5044 | MIQ 13756 Ui[54], s[34], default[2]
 5020 | MIQ 13746 Websocket[53], s[34], default[2]
 5019 | MIQ 13746 Websocket[53], s[34], default[2]
 5049 | MIQ 13756 Ui[54], s[34], default[2]
 5050 | MIQ 13764 WebService[55], s[34], default[2]
 5051 | MIQ 13764 WebService[55], s[34], default[2]
 5180 | MIQ 5140 Generic[57], s[2], default[2]
 5182 | MIQ 5149 Priority[58], s[2], default[2]
 5176 | MIQ 5131 Generic[56], s[2], default[2]
 5183 | MIQ 5157 Priority[59], s[2], default[2]
 5188 | MIQ 5167 Schedule[60], s[2], default[2]
 5255 | psql
(22 rows)

Comment 4 errata-xmlrpc 2017-06-28 15:02:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.